Page MenuHomePhabricator

[PowerPC][NFC] Update atomic patterns to use the refactored load/store implementation
AcceptedPublic

Authored by amyk on Jan 12 2021, 7:58 AM.

Details

Reviewers
power-llvm-team
nemanjai
bsaleil
NeHuang
Group Reviewers
Restricted Project
Summary

This patch updates the scalar atomic patterns to use the refactored load/store implementation introduced
in D93370. All existing test cases pass with when the refactored patterns are utilized.

Depends on D93370.

Diff Detail

Event Timeline

amyk created this revision.Jan 12 2021, 7:58 AM
amyk requested review of this revision.Jan 12 2021, 7:58 AM
bsaleil accepted this revision as: bsaleil.Jan 15 2021, 1:45 PM
bsaleil added a subscriber: bsaleil.

LGTM

This revision is now accepted and ready to land.Jan 15 2021, 1:45 PM
NeHuang accepted this revision as: NeHuang.Jan 15 2021, 2:08 PM
NeHuang added a subscriber: NeHuang.

LGTM.
nit: Update atomics patterns -> Update atomic patterns in commit title.

amyk updated this revision to Diff 320766.Feb 2 2021, 5:59 AM
amyk retitled this revision from [PowerPC][NFC] Update atomics patterns to use the refactored load/store implementation to [PowerPC][NFC] Update atomic patterns to use the refactored load/store implementation.

Update patch to rebase with latest trunk.

amyk updated this revision to Diff 323858.Mon, Feb 15, 6:03 PM

Update patch based on dependent patch (D93370).